						/********************************/
						/*******  CLASS VECTEUR  ********/
						/********************************/

#include <assert.h>
#include <stdlib.h>
#include "vecteur.h"

Vecteur::Vecteur( int dim_vect )
{
  dimension_vect = dim_vect;
  v = new char [ dimension_vect ];
  assert ( v!= 0 );

  for ( int i=0; i<dim_vect; i++ )
		v[i]= -1;
}

void Vecteur::ChangerDim1(int dim_att)
{
  int i;
  char *prec_v = v;
  int dim_prec = dim_att;

  dimension_vect = dim_att+500;
  v = new char[ dimension_vect ];
  for (i=0;i<dim_prec; i++ )
		v[i]=prec_v[i];

  for (i=dim_prec;i<dimension_vect;i++)
		v[i] = -1;

  delete[] prec_v;
}

void Vecteur::ChangerDim2(int val)
{
  char *prec_v = v;
  dimension_vect = dimension_vect-val;
  v = new char[ dimension_vect ];
  int i=0;
  for ( ; i<dimension_vect; i++ )
		v[ i ] = prec_v[ i ];
  delete[] prec_v;
}


